<?php
Yii::app()->clientScript->registerScript('submit', '
$(document).ready( function() {
   $("#submit_button").click(function() {
      $(this).prop("disabled",true)
         .parents("form").submit();
      });
})');

$this->widget('application.extensions.EChosen.EChosen', array(
    'target' => '.echosen',
    'useJQuery' => true,)
);
 $this->widget('application.extensions.emultiselect.EMultiSelect');
$model->MOT_TIPOCONTATO = explode(',', $model->MOT_TIPOCONTATO);
?>

<style type="text/css">
    .multiplos-clientes label,
    input[type=checkbox] {
        float: left;
        display: inline!important;
        margin:  0px!important;
        margin-top: 5px!important;
        margin-bottom: 5px!important;
    }
    input[type=checkbox] {
        margin-right: 5px!important;
        margin-top: 9px!important;
        margin-bottom: 0px!important;
    }
</style>
<div class="form">
    <?php
    $form = $this->beginWidget('GxActiveForm', array(
        'id' => 'motivos-form',
        'enableAjaxValidation' => false,
        'focus' => array($model, 'MOT_DESCRICAO'),
    ));
    ?>

    <?php echo FaHtml::getFormInfo($form, $model); ?>

    <div class="row">
        <?php echo $form->labelEx($model, 'MOT_DESCRICAO'); ?>
        <?php echo $form->textField($model, 'MOT_DESCRICAO', array('maxlength' => 60)); ?>
        <?php echo $form->error($model, 'MOT_DESCRICAO'); ?>
    </div><!-- row -->
    <div class="row">
        <?php echo $form->labelEx($model, 'MOT_TIPO'); ?>
        <?php echo $form->dropDownList($model, 'MOT_TIPO', Motivos::getMotivosList(), array('prompt' => 'Selecione')); ?>
        <?php echo $form->error($model, 'MOT_TIPO'); ?>
    </div><!-- row -->
    <div class="row" id="tipo_contato" <?php if($model->MOT_TIPO == 4) echo 'style="display:none"'; ?>>
        <?php echo $form->label($model, 'MOT_TIPOCONTATO'); ?>
        <?php
            $data = Util::$tipo_de_contato;
            echo $form->dropDownList($model, 'MOT_TIPOCONTATO', $data, array(
                'multiple' => 'multiple',
                'class' => 'echosen',
                'data-placeholder' => 'Selecione'
            ));
        ?>
        <?php echo $form->error($model, 'MOT_TIPOCONTATO'); ?>
    </div>

    <div class="row multiplos-clientes">
        <?php echo $form->checkBox($model, 'MOT_MULTIPLOS_CLIENTES', array('value' => 1, 'uncheckValue' => 2)); ?>
        <?php echo $form->labelEx($model, 'MOT_MULTIPLOS_CLIENTES'); ?>
        <?php echo $form->error($model, 'MOT_MULTIPLOS_CLIENTES'); ?>
    </div><!-- row -->

    <div class="row medium" id="projetos" <?php if($model->MOT_TIPO != 4) echo 'style="display:none"'; ?> >
        <?php
        echo $form->labelEx($model, 'MOT_PROJETOS');
        $data = (!isset($_POST['Projetos']) || !is_array($_POST['Projetos'])) ? MotivosProjetos::model()->getIds($model->MOT_IDMOTIVO) : $_POST['Projetos'];
        echo CHtml::dropDownList('Projetos[]', $data, GxHtml::listDataEx(Projetos::model()->findAll('PRO_STATUS="1" order by PRO_PROJETO')), array(
            'multiple' => 'multiple',
            'key' => 'projetos',
            'class' => 'multiselect',
            'size' => '7'
            )
        );
        ?>
        <?php echo $form->error($model, 'MOT_PROJETOS'); ?>
    </div><!-- row -->

    <div class="row" id="pendenciaAtendimento" <?php if ($model->MOT_TIPO != 4) echo 'style="display:none"'; ?> >
        <?php echo $form->checkBox($model, 'MOT_ATENDIMENTO_PENDENCIA', array('value' => 1, 'uncheckValue' => 0)); ?>
        <?php echo $form->labelEx($model, 'MOT_ATENDIMENTO_PENDENCIA'); ?>
        <?php echo $form->error($model, 'MOT_ATENDIMENTO_PENDENCIA'); ?>
    </div>

    <div class="row" id="pendenciaObrigatoria" <?php if ($model->MOT_ATENDIMENTO_PENDENCIA != 1) echo 'style="display:none"'; ?> >
        <?php echo $form->checkBox($model, 'MOT_PENDENCIA_OBRIGATORIA', array('value' => 1, 'uncheckValue' => 0)); ?>
        <?php echo $form->labelEx($model, 'MOT_PENDENCIA_OBRIGATORIA'); ?>
        <?php echo $form->error($model, 'MOT_PENDENCIA_OBRIGATORIA'); ?>
    </div>

    <div class="row">
        <?php echo $form->labelEx($model, 'MOT_SITUACAO'); ?>
        <?php echo $form->dropDownList($model, 'MOT_SITUACAO', array('A' => 'Ativo', 'I' => 'Inativo')); ?>
        <?php echo $form->error($model, 'MOT_SITUACAO'); ?>
    </div><!-- row -->

    <?php
    echo FaHtml::saveButton();
    $this->endWidget();
    ?>
</div><!-- form -->
<script type="text/javascript">
function verificaTipo() {
    var selecionado = $("#Motivos_MOT_TIPO").val();

    var desenvolvimento = <?php echo Motivos::TIPO_DESENVOLVIMENTO; ?>;
    var documentacao = <?php echo Motivos::TIPO_DOCUMENTACAO; ?>;
    var fechamento_negativo = <?php echo Motivos::TIPO_FECHAMENTO_NEGATIVO; ?>;
    var administrativo = <?php echo Motivos::TIPO_ADMINISTRATIVO; ?>;
    var comercial = <?php echo Motivos::TIPO_COMERCIAL; ?>;
    if(selecionado == desenvolvimento || selecionado == documentacao || selecionado == fechamento_negativo) {
        $('#tipo_contato').hide();
    }
    else{
        $('#tipo_contato').show();
    }

    if(selecionado == desenvolvimento) {
        $('#projetos').show();
        $('#pendenciaAtendimento').show();
    } else {
        $('#projetos').hide();
        $('#pendenciaAtendimento').hide();
    }

    if(selecionado == comercial || selecionado == administrativo) {
        $('.multiplos-clientes').show();
    } else {
        $('.multiplos-clientes').hide();
    }

    if (selecionado != desenvolvimento) {
        $("#Motivos_MOT_ATENDIMENTO_PENDENCIA").prop('checked', false).change();
    }
}
$("#Motivos_MOT_TIPO").on("change", verificaTipo);
$(document).on("ready", verificaTipo);

$("#Motivos_MOT_ATENDIMENTO_PENDENCIA").on("change", function(event) {
    if ($(this).is(':checked')) {
        $("#pendenciaObrigatoria").show();
    } else {
        $("#pendenciaObrigatoria").hide();
    }
});
</script>